---@meta

---@class UWG_NewGame_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field StartGameButton UWG_MenuButton_C
---@field GameSettings URGListView
---@field ErrorMessage UCommonTextBlock
---@field bValidText boolean
---@field GameName FString
---@field bForceUpdateErrorStyle boolean
---@field joinOption EJoinOptions
---@field JoinOptionValue TArray<EJoinOptions>
local UWG_NewGame_C = {}

---@param String FString
---@param bContainsIllegalCharacters boolean
function UWG_NewGame_C:ContainsAdditionalIllegalCharacters(String, bContainsIllegalCharacters) end
---@param bIsError boolean
---@param ErrorReason FText
---@param AdditionalErrorField UCommonTextBlock
function UWG_NewGame_C:SetError(bIsError, ErrorReason, AdditionalErrorField) end
function UWG_NewGame_C:BP_OnActivated() end
---@param Button UCommonButtonBase
function UWG_NewGame_C:BndEvt__WG_NewGame_WG_MenuButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param NewValue FString
---@param ErrorField UCommonTextBlock
function UWG_NewGame_C:ValidateText(NewValue, ErrorField) end
---@param SelectedIndex int32
function UWG_NewGame_C:JoinOptionUpdated(SelectedIndex) end
---@param EntryPoint int32
function UWG_NewGame_C:ExecuteUbergraph_WG_NewGame(EntryPoint) end


